import { QueryClientProvider } from '@tanstack/react-query';
import { jsx, Fragment } from 'react/jsx-runtime';
import { WagmiProvider } from 'wagmi';

// src/providers/wrappers/ReactQueryWrapper.tsx
function isReactQueryEnabled(props) {
  return props.enabled === true;
}
var ReactQueryWrapper = (props) => {
  const { children } = props;
  if (isReactQueryEnabled(props)) {
    const { ...reactQueryProps } = props;
    return /* @__PURE__ */ jsx(QueryClientProvider, { ...reactQueryProps, children });
  }
  return /* @__PURE__ */ jsx(Fragment, { children });
};
function isWagmiEnabled(props) {
  return props.enabled === true;
}
var WagmiWrapper = (props) => {
  const { children } = props;
  if (isWagmiEnabled(props)) {
    const { ...wagmiProps } = props;
    return /* @__PURE__ */ jsx(WagmiProvider, { ...wagmiProps, children });
  }
  return /* @__PURE__ */ jsx(Fragment, { children });
};
var SettleMintProvider = ({ children, wagmi, reactQuery }) => {
  return /* @__PURE__ */ jsx(WagmiWrapper, { ...wagmi, children: /* @__PURE__ */ jsx(ReactQueryWrapper, { ...reactQuery, children }) });
};

export { SettleMintProvider };
//# sourceMappingURL=index.js.map
//# sourceMappingURL=index.js.map